import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { GitsearchSharedModule } from 'app/shared/shared.module';

import { UserWatchListDeleteDialogComponent } from './user-watch-list-delete-dialog.component';
import { UserWatchListDetailComponent } from './user-watch-list-detail.component';
import { UserWatchListUpdateComponent } from './user-watch-list-update.component';
import { UserWatchListComponent } from './user-watch-list.component';
import { userWatchListRoute } from './user-watch-list.route';

@NgModule({
  imports: [GitsearchSharedModule, RouterModule.forChild(userWatchListRoute)],
  declarations: [UserWatchListComponent, UserWatchListDetailComponent, UserWatchListUpdateComponent, UserWatchListDeleteDialogComponent],
  entryComponents: [UserWatchListDeleteDialogComponent],
})
export class GitsearchUserWatchListModule {}
