import {IFragment} from "app/shared/model/fragment.model";

export interface IGitFiles {
  content: string;
  fragment: IFragment;
  fileFormat: string;
  repository: string;
  url: string;
  subGroup: string;
  fileExtension: string;
  fileName: string;
  filePath: string;
  gitUrl: string;
}

export class GitFiles implements IGitFiles {
  constructor(
    public content: string,
    public fragment: IFragment,
    public fileFormat: string,
    public repository: string,
    public url: string,
    public subGroup: string,
    public fileExtension: string,
    public fileName: string,
    public filePath: string,
    public gitUrl: string,
  ) {
  }

}
