package at.ac.uibk.gitsearch.es.model;

import org.springframework.data.annotation.Id;
import org.springframework.data.elasticsearch.annotations.Document;
import org.springframework.data.elasticsearch.annotations.Field;

import static org.springframework.data.elasticsearch.annotations.FieldType.Text;

@Document(indexName="codeability.sharing" /*, type = "_doc"*/)
public class DocumentInfo {

    @Id
    private String id;

    @Field(type = Text)
    private String content;

    private FileInfo file;

    private ProjectInfo project;

    public DocumentInfo() {
    	//  JSON
    }

    @Override
    public String toString() {
        return "Document{" + "content='" + content +  ", " + file.toString() + ", " + project.toString() + '}';
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public FileInfo getFile() {
        return file;
    }

    public void setFile(FileInfo file) {
        this.file = file;
    }

    public ProjectInfo getProject() {
        return project;
    }

    public void setProject(ProjectInfo project) {
        this.project = project;
    }
}
