import { Route } from '@angular/router';

import { UserRouteAccessService } from 'app/core/auth/user-route-access-service';
import { AchievementsComponent } from './achievements.component';
import { Authority } from 'app/shared/constants/authority.constants';

export const achievementsRoute: Route = {
  path: 'achievements',
  component: AchievementsComponent,
  data: {
    authorities: [Authority.USER],
    pageTitle: 'global.menu.account.achievements',
  },
  canActivate: [UserRouteAccessService],
};
