import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { FontAwesomeModule } from '@fortawesome/angular-fontawesome'
import { RouterModule } from '@angular/router';
import { ExerciseModule } from 'app/exercise/exercise.module';
import { ExerciseImportComponent } from 'app/exercise/import/exercise-import.component';
import { EXERCISE_IMPORT_ROUTE } from 'app/exercise/import/exercise-import.route';
import { GitlabModule } from 'app/shared/gitlab/gitlab.module';
import { SharedModule } from 'app/shared/shared.module';
// import { TagInputModule } from 'ngx-chips';

@NgModule({
  imports: [RouterModule.forChild(EXERCISE_IMPORT_ROUTE), FontAwesomeModule, SharedModule, ExerciseModule, /* TagInputModule, */ GitlabModule, FormsModule],
  declarations: [ExerciseImportComponent],
  exports: [ExerciseImportComponent],
})
export class ExerciseImportModule {}
